{
    attributes = (
        {
            columnName = "CPT_ORDRE"; 
            externalType = NUMBER; 
            name = cptOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "PERS_ID"; 
            externalType = NUMBER; 
            name = persId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (dModification, dCreation); 
    className = "org.cocktail.application.serveur.eof.EORepartCompte"; 
    classProperties = (dModification, dCreation, compte); 
    externalName = "GRHUM.REPART_COMPTE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (dModification, dCreation, toCompte, "toCompte_alias", compte); 
        "_javaClientClassName" = "org.cocktail.application.client.eof.EORepartCompte"; 
    }; 
    isReadOnly = Y; 
    name = "ca_RepartCompte"; 
    primaryKeyAttributes = (persId, cptOrdre); 
    relationships = (
        {
            deleteRule = EODeleteRuleCascade; 
            destination = "ca_Compte"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cptOrdre; sourceAttribute = cptOrdre; }); 
            name = compte; 
        }
    ); 
}
